API Explorer 5 endpoints

Delete onething by id

DELETE /obp/dynamic-entity/onething/ONETHING_ID

OBPv4.0.0-dynamicEntity_deleteonething_ Roles: CanDeleteDynamicEntityRecord_onething(per bank) _OnethingDynamic-EntityDynamic

Delete onething by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"onething"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "onething_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "status_code": "verified",
  "status_message": "could not find owner",
  "authority": "authority"
}
Example success response
{
  "onething": {
    "onething_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "status_code": "verified",
    "status_message": "could not find owner",
    "authority": "authority"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_deleteonething_ Originally /onething/ONETHING_ID